Bug 3675 - wsrf gram client file streaming error
: wsrf gram client file streaming error
Status: RESOLVED INVALID
: GRAM
wsrf gram clients
: 4.0.1
: Sun Solaris
: P1 normal
: 4.0.1
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-08-22 20:37 by
Modified: 2006-10-27 10:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-22 20:37:30
The file streaming by GRAMClient might fail.


$ cat rsl.xml
<job>
    <executable>/bin/echo</executable>
    <argument>Hello World</argument>
    <stdout>/tmp/stdout</stdout>
    <stderr>/tmp/stderr</stderr>
</job>


As follows when succeeding:


$ globusrun-ws -submit -s -f rsl.xml -dbg
Submitting job...
=== REQUEST MESSAGE (length 2238) (time 1124757196.176482000) ===
<ns00:Envelope
xmlns:ns00="http://schemas.xmlsoap.org/soap/envelope/"><ns00:Header></ns00:Header><ns00:Body><ns01:createManagedJob
xmlns:ns01="http://www.globus.org/namespaces/2004/10/gram/job"><ns01:InitialTerminationTime>2005-08-24T00:33:15Z</ns01:InitialTerminationTime><ns01:JobID>uuid:7e9d666c-136d-11da-b52e-01000000275b</ns01:JobID><ns02:Subscribe
xmlns:ns02="http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.xsd"><ns02:ConsumerReference><ns03:Address
xmlns:ns03="http://schemas.xmlsoap.org/ws/2004/03/addressing">https://l1os3-0.open.nm.fujitsu.co.jp:59961/wsrf/services/NotificationConsumerService</ns03:Address><ns03:ReferenceProperties
xmlns:ns03="http://schemas.xmlsoap.org/ws/2004/03/addressing"><ns06:ResourceID
xmlns:ns04="http://www.w3.org/2001/XMLSchema-instance"
xmlns:ns05="http://www.w3.org/2001/XMLSchema"
xmlns:ns06="http://www.globus.org/docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.wsdl"
ns04:type="ns05:string">7ea26a54-136d-11da-b52e-01000000275b</ns06:ResourceID></ns03:ReferenceProperties></ns02:ConsumerReference><ns02:TopicExpression
Dialect="http://docs.oasis-open.org/wsn/2004/06/TopicExpression/Simple"
xmlns:ns07="http://www.globus.org/namespaces/2004/10/gram/job/types">ns07:state</ns02:TopicExpression><ns02:UseNotify>true</ns02:UseNotify></ns02:Subscribe><ns08:job
xmlns:ns08="http://www.globus.org/namespaces/2004/10/gram/job/description"><ns08:factoryEndpoint><ns03:Address
xmlns:ns03="http://schemas.xmlsoap.org/ws/2004/03/addressing">https://localhost:8443/wsrf/services/ManagedJobFactoryService</ns03:Address><ns03:ReferenceProperties
xmlns:ns03="http://schemas.xmlsoap.org/ws/2004/03/addressing"><ns01:ResourceID
xmlns:ns04="http://www.w3.org/2001/XMLSchema-instance"
xmlns:ns05="http://www.w3.org/2001/XMLSchema"
ns04:type="ns05:string">Fork</ns01:ResourceID></ns03:ReferenceProperties></ns08:factoryEndpoint><ns07:holdState
xmlns:ns07="http://www.globus.org/namespaces/2004/10/gram/job/types">CleanUp</ns07:holdState><ns08:executable>/bin/echo</ns08:executable><ns08:argument>Hello
World</ns08:argument><ns08:stdout>/tmp/stdout</ns08:stdout><ns08:stderr>/tmp/stderr</ns08:stderr></ns08:job></ns01:createManagedJob></ns00:Body></ns00:Envelope>
----------------------------------------------

=== RESPONSE MESSAGE (length 2007) (time 1124757198.991588000) ===
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xsd="http://www.w3.org/2001/XMLSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/03/addressing"><soapenv:Header><wsa:MessageID
soapenv:mustUnderstand="0">uuid:80751250-136d-11da-916c-b579a2ab32df</wsa:MessageID><wsa:To
soapenv:mustUnderstand="0">http://schemas.xmlsoap.org/ws/2004/03/addressing/role/anonymous</wsa:To><wsa:Action
soapenv:mustUnderstand="0">http://www.globus.org/namespaces/2004/10/gram/job/ManagedJobFactoryPortType/createManagedJobResponse</wsa:Action><wsa:From
soapenv:mustUnderstand="0"
xmlns:ns01="http://www.globus.org/namespaces/2004/10/gram/job"><wsa:Address>https://localhost:8443/wsrf/services/ManagedJobFactoryService</wsa:Address><wsa:ReferenceProperties><ns01:ResourceID
xmlns:ns01="http://www.globus.org/namespaces/2004/10/gram/job">Fork</ns01:ResourceID></wsa:ReferenceProperties></wsa:From><wsa:RelatesTo
RelationshipType="wsa:Reply"
soapenv:mustUnderstand="0">uuid:7edef276-136d-11da-b52e-01000000275b</wsa:RelatesTo></soapenv:Header><soapenv:Body><createManagedJobResponse
xmlns="http://www.globus.org/namespaces/2004/10/gram/job"><NewTerminationTime>2005-08-24T00:33:15.000Z</NewTerminationTime><CurrentTime>2005-08-23T00:33:16.336Z</CurrentTime><managedJobEndpoint><wsa:Address>https://192.168.8.32:8443/wsrf/services/ManagedExecutableJobService</wsa:Address><wsa:ReferenceProperties><ResourceID>7e9d666c-136d-11da-b52e-01000000275b</ResourceID></wsa:ReferenceProperties><wsa:ReferenceParameters/></managedJobEndpoint><subscriptionEndpoint><wsa:Address>https://192.168.8.32:8443/wsrf/services/SubscriptionManagerService</wsa:Address><wsa:ReferenceProperties><ns1:SubscriptionKey
xmlns:ns1="http://www.globus.org/namespaces/2004/06/core">7fee5620-136d-11da-916c-b579a2ab32df</ns1:SubscriptionKey></wsa:ReferenceProperties><wsa:ReferenceParameters/></subscriptionEndpoint></createManagedJobResponse></soapenv:Body></soapenv:Envelope>
----------------------------------------------
Done.
Job ID: uuid:7e9d666c-136d-11da-b52e-01000000275b
Termination time: 08/24/2005 00:33 GMT

=== REQUEST MESSAGE (length 2292) (time 1124757205.753322000) ===
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xsd="http://www.w3.org/2001/XMLSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/03/addressing"><soapenv:Header><wsa:MessageID
soapenv:mustUnderstand="0">uuid:845de540-136d-11da-916c-b579a2ab32df</wsa:MessageID><wsa:To
soapenv:mustUnderstand="0">https://l1os3-0.open.nm.fujitsu.co.jp:59961/wsrf/services/NotificationConsumerService</wsa:To><wsa:Action
soapenv:mustUnderstand="0">http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification/Notify</wsa:Action><wsa:From
soapenv:mustUnderstand="0"><wsa:Address>http://schemas.xmlsoap.org/ws/2004/03/addressing/role/anonymous</wsa:Address></wsa:From><ns06:ResourceID
ns04:type="ns05:string" xmlns:ns04="http://www.w3.org/2001/XMLSchema-instance"
xmlns:ns05="http://www.w3.org/2001/XMLSchema"
xmlns:ns06="http://www.globus.org/docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.wsdl"
soapenv:mustUnderstand="0">7ea26a54-136d-11da-b52e-01000000275b</ns06:ResourceID></soapenv:Header><soapenv:Body><Notify
xmlns="http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.xsd"><NotificationMessage><Topic
Dialect="http://docs.oasis-open.org/wsn/2004/06/TopicExpression/Simple"
xmlns:ns1="http://www.globus.org/namespaces/2004/10/gram/job/types">ns1:state</Topic><ProducerReference><wsa:Address>https://192.168.8.32:8443/wsrf/services/ManagedJobFactoryService</wsa:Address><wsa:ReferenceProperties><ns2:ResourceID
xmlns:ns2="http://www.globus.org/namespaces/2004/10/gram/job">7e9d666c-136d-11da-b52e-01000000275b</ns2:ResourceID></wsa:ReferenceProperties><wsa:ReferenceParameters/></ProducerReference><Message
xsi:type="ns3:StateChangeNotificationMessageWrapperType"
xmlns:ns3="http://www.globus.org/namespaces/2004/10/gram/job"><ns3:stateChangeNotificationMessage><ns4:state
xmlns:ns4="http://www.globus.org/namespaces/2004/10/gram/job/types">Active</ns4:state><ns5:exitCode
xmlns:ns5="http://www.globus.org/namespaces/2004/10/gram/job/types">0</ns5:exitCode><ns6:holding
xmlns:ns6="http://www.globus.org/namespaces/2004/10/gram/job/types">false</ns6:holding></ns3:stateChangeNotificationMessage></Message></NotificationMessage></Notify></soapenv:Body></soapenv:Envelope>
----------------------------------------------
Current job state: Active

=== REQUEST MESSAGE (length 564) (time 1124757205.895668000) ===
<ns00:Envelope
xmlns:ns00="http://schemas.xmlsoap.org/soap/envelope/"><ns00:Header></ns00:Header><ns00:Body><ns01:GetMultipleResourceProperties
xmlns:ns01="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-ResourceProperties-1.2-draft-01.xsd"><ns01:ResourceProperty
xmlns:ns02="http://www.globus.org/namespaces/2004/10/gram/job/exec">ns02:stdoutURL</ns01:ResourceProperty><ns01:ResourceProperty
xmlns:ns02="http://www.globus.org/namespaces/2004/10/gram/job/exec">ns02:stderrURL</ns01:ResourceProperty></ns01:GetMultipleResourceProperties></ns00:Body></ns00:Envelope>
----------------------------------------------

=== RESPONSE MESSAGE (length 1664) (time 1124757209.403959000) ===
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xsd="http://www.w3.org/2001/XMLSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/03/addressing"><soapenv:Header><wsa:MessageID
soapenv:mustUnderstand="0">uuid:86aeb310-136d-11da-916c-b579a2ab32df</wsa:MessageID><wsa:To
soapenv:mustUnderstand="0">http://schemas.xmlsoap.org/ws/2004/03/addressing/role/anonymous</wsa:To><wsa:Action
soapenv:mustUnderstand="0">http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-ResourceProperties/GetMultipleResourcePropertiesResponse</wsa:Action><wsa:From
soapenv:mustUnderstand="0"><wsa:Address>https://192.168.8.32:8443/wsrf/services/ManagedExecutableJobService</wsa:Address><wsa:ReferenceProperties><ns1:ResourceID
xmlns="http://www.globus.org/namespaces/2004/10/gram/job"
xmlns:ns1="http://www.globus.org/namespaces/2004/10/gram/job">7e9d666c-136d-11da-b52e-01000000275b</ns1:ResourceID></wsa:ReferenceProperties></wsa:From><wsa:RelatesTo
RelationshipType="wsa:Reply"
soapenv:mustUnderstand="0">uuid:84aa10d2-136d-11da-b52e-01000000275b</wsa:RelatesTo></soapenv:Header><soapenv:Body><GetMultipleResourcePropertiesResponse
xmlns="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-ResourceProperties-1.2-draft-01.xsd"><ns2:stdoutURL
xmlns:ns2="http://www.globus.org/namespaces/2004/10/gram/job/exec">gsiftp://l1os3-0.open.nm.fujitsu.co.jp:2811/tmp/stdout</ns2:stdoutURL><ns3:stderrURL
xmlns:ns3="http://www.globus.org/namespaces/2004/10/gram/job/exec">gsiftp://l1os3-0.open.nm.fujitsu.co.jp:2811/tmp/stderr</ns3:stderrURL></GetMultipleResourcePropertiesResponse></soapenv:Body></soapenv:Envelope>
----------------------------------------------
...The rest is omitted.


As follows when failing:


$ globusrun-ws -submit -s -f rsl.xml -dbg
Submitting job...
=== REQUEST MESSAGE (length 2238) (time 1124756057.938095000) ===
<ns00:Envelope
xmlns:ns00="http://schemas.xmlsoap.org/soap/envelope/"><ns00:Header></ns00:Header><ns00:Body><ns01:createManagedJob
xmlns:ns01="http://www.globus.org/namespaces/2004/10/gram/job"><ns01:InitialTer
minationTime>2005-08-24T00:14:17Z</ns01:InitialTerminationTime><ns01:JobID>uuid:d84bc9c2-136a-11da-857e-0100000066e3</ns01:JobID><ns02:Subscribe
xmlns:ns02="http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNot
ification-1.2-draft-01.xsd"><ns02:ConsumerReference><ns03:Address
xmlns:ns03="http://schemas.xmlsoap.org/ws/2004/03/addressing">https://l1os3-0.open.nm.fujitsu.co.jp:59312/wsrf/services/NotificationConsumerServ
ice</ns03:Address><ns03:ReferenceProperties
xmlns:ns03="http://schemas.xmlsoap.org/ws/2004/03/addressing"><ns06:ResourceID
xmlns:ns04="http://www.w3.org/2001/XMLSchema-instance"
xmlns:ns05="http://www.w3.org/20
01/XMLSchema"
xmlns:ns06="http://www.globus.org/docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.wsdl"
ns04:type="ns05:string">d8505730-136a-11da-857e-0100000066e3</ns06:ResourceID></ns03:Re
ferenceProperties></ns02:ConsumerReference><ns02:TopicExpression
Dialect="http://docs.oasis-open.org/wsn/2004/06/TopicExpression/Simple"
xmlns:ns07="http://www.globus.org/namespaces/2004/10/gram/job/types">ns07
:state</ns02:TopicExpression><ns02:UseNotify>true</ns02:UseNotify></ns02:Subscribe><ns08:job
xmlns:ns08="http://www.globus.org/namespaces/2004/10/gram/job/description"><ns08:factoryEndpoint><ns03:Address
xmlns:
ns03="http://schemas.xmlsoap.org/ws/2004/03/addressing">https://localhost:8443/wsrf/services/ManagedJobFactoryService</ns03:Address><ns03:ReferenceProperties
xmlns:ns03="http://schemas.xmlsoap.org/ws/2004/03/ad
dressing"><ns01:ResourceID
xmlns:ns04="http://www.w3.org/2001/XMLSchema-instance"
xmlns:ns05="http://www.w3.org/2001/XMLSchema"
ns04:type="ns05:string">Fork</ns01:ResourceID></ns03:ReferenceProperties></ns08:fa
ctoryEndpoint><ns07:holdState
xmlns:ns07="http://www.globus.org/namespaces/2004/10/gram/job/types">CleanUp</ns07:holdState><ns08:executable>/bin/echo</ns08:executable><ns08:argument>Hello
World</ns08:argument><
ns08:stdout>/tmp/stdout</ns08:stdout><ns08:stderr>/tmp/stderr</ns08:stderr></ns08:job></ns01:createManagedJob></ns00:Body></ns00:Envelope>
----------------------------------------------

=== RESPONSE MESSAGE (length 2007) (time 1124756059.933610000) ===
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xsd="http://www.w3.org/2001/XMLSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:wsa="http://schemas.xmlsoap.o
rg/ws/2004/03/addressing"><soapenv:Header><wsa:MessageID
soapenv:mustUnderstand="0">uuid:d9867620-136a-11da-a6b5-8bbe0e76a0d8</wsa:MessageID><wsa:To
soapenv:mustUnderstand="0">http://schemas.xmlsoap.org/ws/2004
/03/addressing/role/anonymous</wsa:To><wsa:Action
soapenv:mustUnderstand="0">http://www.globus.org/namespaces/2004/10/gram/job/ManagedJobFactoryPortType/createManagedJobResponse</wsa:Action><wsa:From
soapenv:mu
stUnderstand="0"
xmlns:ns01="http://www.globus.org/namespaces/2004/10/gram/job"><wsa:Address>https://localhost:8443/wsrf/services/ManagedJobFactoryService</wsa:Address><wsa:ReferenceProperties><ns01:ResourceID

xmlns:ns01="http://www.globus.org/namespaces/2004/10/gram/job">Fork</ns01:ResourceID></wsa:ReferenceProperties></wsa:From><wsa:RelatesTo
RelationshipType="wsa:Reply" soapenv:mustUnderstand="0">uuid:d86d8f9e-136
a-11da-857e-0100000066e3</wsa:RelatesTo></soapenv:Header><soapenv:Body><createManagedJobResponse
xmlns="http://www.globus.org/namespaces/2004/10/gram/job"><NewTerminationTime>2005-08-24T00:14:17.000Z</NewTermin
ationTime><CurrentTime>2005-08-23T00:14:17.970Z</CurrentTime><managedJobEndpoint><wsa:Address>https://192.168.8.32:8443/wsrf/services/ManagedExecutableJobService</wsa:Address><wsa:ReferenceProperties><ResourceI
D>d84bc9c2-136a-11da-857e-0100000066e3</ResourceID></wsa:ReferenceProperties><wsa:ReferenceParameters/></managedJobEndpoint><subscriptionEndpoint><wsa:Address>https://192.168.8.32:8443/wsrf/services/Subscriptio
nManagerService</wsa:Address><wsa:ReferenceProperties><ns1:SubscriptionKey
xmlns:ns1="http://www.globus.org/namespaces/2004/06/core">d954b7c0-136a-11da-a6b5-8bbe0e76a0d8</ns1:SubscriptionKey></wsa:ReferenceProp
erties><wsa:ReferenceParameters/></subscriptionEndpoint></createManagedJobResponse></soapenv:Body></soapenv:Envelope>
----------------------------------------------
Done.
Job ID: uuid:d84bc9c2-136a-11da-857e-0100000066e3
Termination time: 08/24/2005 00:14 GMT

=== REQUEST MESSAGE (length 2292) (time 1124756063.562239000) ===
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xsd="http://www.w3.org/2001/XMLSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:wsa="http://schemas.xmlsoap.o
rg/ws/2004/03/addressing"><soapenv:Header><wsa:MessageID
soapenv:mustUnderstand="0">uuid:db93f960-136a-11da-a6b5-8bbe0e76a0d8</wsa:MessageID><wsa:To
soapenv:mustUnderstand="0">https://l1os3-0.open.nm.fujitsu.co
.jp:59312/wsrf/services/NotificationConsumerService</wsa:To><wsa:Action
soapenv:mustUnderstand="0">http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification/Notify</wsa:Action><wsa:From
soapenv:mustUnderst
and="0"><wsa:Address>http://schemas.xmlsoap.org/ws/2004/03/addressing/role/anonymous</wsa:Address></wsa:From><ns06:ResourceID
ns04:type="ns05:string" xmlns:ns04="http://www.w3.org/2001/XMLSchema-instance" xmlns
:ns05="http://www.w3.org/2001/XMLSchema"
xmlns:ns06="http://www.globus.org/docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.wsdl"
soapenv:mustUnderstand="0">d8505730-136a-11da-857e-010000006
6e3</ns06:ResourceID></soapenv:Header><soapenv:Body><Notify
xmlns="http://docs.oasis-open.org/wsn/2004/06/wsn-WS-BaseNotification-1.2-draft-01.xsd"><NotificationMessage><Topic
Dialect="http://docs.oasis-open.or
g/wsn/2004/06/TopicExpression/Simple"
xmlns:ns1="http://www.globus.org/namespaces/2004/10/gram/job/types">ns1:state</Topic><ProducerReference><wsa:Address>https://192.168.8.32:8443/wsrf/services/ManagedJobFacto
ryService</wsa:Address><wsa:ReferenceProperties><ns2:ResourceID
xmlns:ns2="http://www.globus.org/namespaces/2004/10/gram/job">d84bc9c2-136a-11da-857e-0100000066e3</ns2:ResourceID></wsa:ReferenceProperties><wsa:
ReferenceParameters/></ProducerReference><Message
xsi:type="ns3:StateChangeNotificationMessageWrapperType"
xmlns:ns3="http://www.globus.org/namespaces/2004/10/gram/job"><ns3:stateChangeNotificationMessage><ns4:
state
xmlns:ns4="http://www.globus.org/namespaces/2004/10/gram/job/types">Active</ns4:state><ns5:exitCode
xmlns:ns5="http://www.globus.org/namespaces/2004/10/gram/job/types">0</ns5:exitCode><ns6:holding
xmlns:n
s6="http://www.globus.org/namespaces/2004/10/gram/job/types">false</ns6:holding></ns3:stateChangeNotificationMessage></Message></NotificationMessage></Notify></soapenv:Body></soapenv:Envelope>
----------------------------------------------
Current job state: Active

=== REQUEST MESSAGE (length 564) (time 1124756063.710865000) ===
<ns00:Envelope
xmlns:ns00="http://schemas.xmlsoap.org/soap/envelope/"><ns00:Header></ns00:Header><ns00:Body><ns01:GetMultipleResourceProperties
xmlns:ns01="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-Resour
ceProperties-1.2-draft-01.xsd"><ns01:ResourceProperty
xmlns:ns02="http://www.globus.org/namespaces/2004/10/gram/job/exec">ns02:stdoutURL</ns01:ResourceProperty><ns01:ResourceProperty
xmlns:ns02="http://www.glob
us.org/namespaces/2004/10/gram/job/exec">ns02:stderrURL</ns01:ResourceProperty></ns01:GetMultipleResourceProperties></ns00:Body></ns00:Envelope>
----------------------------------------------

=== RESPONSE MESSAGE (length 1321) (time 1124756063.862367000) ===
<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
xmlns:xsd="http://www.w3.org/2001/XMLSchema"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns:wsa="http://schemas.xmlsoap.o
rg/ws/2004/03/addressing"><soapenv:Header><wsa:MessageID
soapenv:mustUnderstand="0">uuid:dbe1f250-136a-11da-a6b5-8bbe0e76a0d8</wsa:MessageID><wsa:To
soapenv:mustUnderstand="0">http://schemas.xmlsoap.org/ws/2004
/03/addressing/role/anonymous</wsa:To><wsa:Action
soapenv:mustUnderstand="0">http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-ResourceProperties/GetMultipleResourcePropertiesResponse</wsa:Action><wsa:From
soapen
v:mustUnderstand="0"><wsa:Address>https://192.168.8.32:8443/wsrf/services/ManagedExecutableJobService</wsa:Address><wsa:ReferenceProperties><ns1:ResourceID
xmlns="http://www.globus.org/namespaces/2004/10/gram/j
ob"
xmlns:ns1="http://www.globus.org/namespaces/2004/10/gram/job">d84bc9c2-136a-11da-857e-0100000066e3</ns1:ResourceID></wsa:ReferenceProperties></wsa:From><wsa:RelatesTo
RelationshipType="wsa:Reply" soapenv:mu
stUnderstand="0">uuid:dbde7a12-136a-11da-857e-0100000066e3</wsa:RelatesTo></soapenv:Header><soapenv:Body><GetMultipleResourcePropertiesResponse
xmlns="http://docs.oasis-open.org/wsrf/2004/06/wsrf-WS-ResourcePro
perties-1.2-draft-01.xsd"/></soapenv:Body></soapenv:Envelope>
----------------------------------------------
...The rest is omitted.

Getting stdoutURL and stderrURL has failed.
------- Comment #1 From 2005-11-02 19:49:56 -------
I don't see what's going wrong.  Try removing the -dbg option and paste the
results.
------- Comment #2 From 2005-11-03 17:52:18 -------
When succeeding:

$ globusrun-ws -submit -s -f test.xml 
Submitting job...Done.
Job ID: uuid:3699a46c-4cc4-11da-b1a8-010000003f2d
Termination time: 11/04/2005 23:47 GMT
Current job state: Active
Current job state: CleanUp-Hold
Hello World
Current job state: CleanUp
Current job state: Done
Destroying job...Done.


When failing:

$ globusrun-ws -submit -s -f test.xml 
Submitting job...Done.
Job ID: uuid:4132176a-4cc4-11da-9cbe-0100000000eb
Termination time: 11/04/2005 23:47 GMT
Current job state: Active
Current job state: CleanUp-Hold
Current job state: CleanUp
Current job state: Done
Destroying job...Done.
------- Comment #3 From 2006-01-05 09:37:25 -------
This looks like an NFS synch problem or something similar. The job doesn't
fail,
so it must be trying to stream an empty file when it "fails".
------- Comment #4 From 2006-10-27 10:53:45 -------
I don't see any more activity on this bug.  Also, other streaming related bugs
have been and are being fixed.  I will mark this invalid.  It can be reopened
if necessary.